package cokr.xit.fims.crdn.web;

import javax.annotation.Resource;

import org.springframework.web.servlet.ModelAndView;

import cokr.xit.base.web.ApplicationController;
import cokr.xit.fims.crdn.service.CrdnStngService;

/**면제차량 관리 서비스 웹 컨트롤러.<br />
 * {웹 컨텍스트}/crdn/crdn08 로 접근할 수 있다.
 * @author leebj
 */
public class Crdn08Controller extends ApplicationController {

	public static final String CLASS_URL = "/crdn/crdn08";

	public class METHOD_URL {
		public static final String
		exemptionVehicleManagementMain = "/010/main.do"
		;
	}

	@Resource(name="crdnStngService")
	private CrdnStngService crdnStngService;

	/** 면제차량 관리 메인화면을 연다.
	 * @return fims/crdn/crdn08010-main
	 */
	public ModelAndView exemptionVehicleManagementMain() {
		ModelAndView mav = new ModelAndView();
		mav.setViewName("fims/crdn/crdn08010-main");
		mav.addObject("pageName", "crdn08010-main");

		return mav;
	}

}
